> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Firmware and Archive Signing Keys for an Organization



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi get /api/orgs/{org_name}/keys
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/orgs/{org_name}/keys:
    get:
      tags:
        - Signing Keys
      summary: List all Firmware and Archive Signing Keys for an Organization
      operationId: NervesHubWeb.API.KeyController.index
      parameters:
        - description: Organization Name
          example: example_org
          in: path
          name: org_name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SigningKeyIndexResponse'
          description: Signing Keys
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
      callbacks: {}
      security:
        - bearer_auth: []
components:
  schemas:
    SigningKeyIndexResponse:
      description: Response schema for multiple Signing Keys
      example:
        data:
          - key: abc123=
            name: QA
            scheme: ed25519
          - key: |
              -----BEGIN PUBLIC KEY-----
              MIIBoj...
              -----END PUBLIC KEY-----
            name: ESP release
            scheme: secure_boot_v2_rsa
      properties:
        data:
          description: The Signing Key details
          items:
            $ref: '#/components/schemas/SigningKey'
          type: array
      title: SigningKeyIndexResponse
      type: object
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
    SigningKey:
      example:
        key: abc123=
        name: CI
        scheme: ed25519
      properties:
        key:
          type: string
        name:
          type: string
        scheme:
          description: Signature scheme this key belongs to
          enum:
            - ed25519
            - secure_boot_v2_rsa
          type: string
      title: SigningKey
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````